Skip to main content
GET
/
api
/
v1
/
teams
/
{teamId}
/
analytics
/
utm
Get UTM attribution
curl --request GET \
  --url https://enterprise-api.avoca.ai/api/v1/teams/{teamId}/analytics/utm \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "source": "<string>",
      "medium": "<string>",
      "campaign": "<string>",
      "term": "<string>",
      "content": "<string>",
      "sessions": 123,
      "conversions": 123
    }
  ],
  "meta": {
    "team_id": 123,
    "start_date": "<string>",
    "end_date": "<string>",
    "timezone": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

Query Parameters

start_date
string<date-time>

Start of date range (ISO 8601; default 7 days ago)

end_date
string<date-time>

End of date range (ISO 8601; default now)

timezone
string
default:America/New_York

IANA timezone for date calculations (default America/New_York)

scheduler_id
integer

Filter to a specific scheduler

Response

UTM attribution rows

data
object[]
meta
object